PowerFolder Java Object Deserialization RCE

Critical Nessus Plugin ID 91816


The remote PowerFolder server is affected by a remote code execution vulnerability.


The remote PowerFolder server is affected by a remote code execution vulnerability due to unsafe deserialize calls of unauthenticated Java objects to the Apache Commons Collections (ACC) library. An unauthenticated, remote attacker can exploit this, by sending specially crafted Java objects to the HTTP interface, to execute arbitrary code on the target host.


Upgrade to PowerFolder version 10.5.394 or later.

See Also




Plugin Details

Severity: Critical

ID: 91816

File Name: powerfolder_deserialize_cc.nasl

Version: $Revision: 1.2 $

Type: remote

Family: Misc.

Published: 2016/06/24

Modified: 2016/06/27

Dependencies: 91817

Risk Information

Risk Factor: Critical


Base Score: 10

Temporal Score: 8.3

Vector: CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:F/RL:OF/RC:ND

Vulnerability Information

CPE: x-cpe:/a:powerfolder:powerfolder

Required KB Items: installed_sw/PowerFolder

Exploit Available: true

Exploit Ease: Exploits are available

Exploited by Nessus: true

Patch Publication Date: 2016/04/01

Vulnerability Publication Date: 2015/01/28

Reference Information

OSVDB: 138979

EDB-ID: 39854